This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 885096 - Headpin/SAM headpin mode new foreman command 'architecture' should be removed
Headpin/SAM headpin mode new foreman command 'architecture' should be removed
Status: CLOSED ERRATA
Product: Subscription Asset Manager
Classification: Red Hat
Component: katello (Show other bugs)
1.2
x86_64 Linux
unspecified Severity medium
: rc
: ---
Assigned To: Adam Price
Tazim Kolhar
:
: 888155 888159 888291 (view as bug list)
Depends On:
Blocks: sam12-tracker
  Show dependency treegraph
 
Reported: 2012-12-07 08:54 EST by Tazim Kolhar
Modified: 2013-02-21 14:20 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Katello commands removed.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-21 14:20:54 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Tazim Kolhar 2012-12-07 08:54:07 EST
Description of problem:
# headpin -u admin -p admin architecture list --help
Usage:  headpin <options> architecture list


Version-Release number of selected component (if applicable):
# rpm -qa | grep katello
katello-certs-tools-1.2.1-1h.el6_3.noarch
katello-common-1.2.6-3h.el6_3.noarch
katello-headpin-all-1.2.6-3h.el6_3.noarch
katello-cli-common-1.2.4-3h.el6_3.noarch
katello-selinux-1.2.1-1h.el6_3.noarch
katello-cli-1.2.4-3h.el6_3.noarch
katello-headpin-1.2.6-3h.el6_3.noarch
katello-configure-1.2.3-1h.el6_3.noarch
katello-candlepin-cert-key-pair-1.0-1.noarch
katello-glue-candlepin-1.2.6-3h.el6_3.noarch


How reproducible:
# yum install -y katello-headpin-all
# katello-confogure --depolyment=sam

Steps to Reproduce:
1.# yum install -y katello-headpin-all
2.# katello-configure --deployment=sam
3.# headpin -u admin -p admin architecture list --help


  
Actual results:

Command options displayed
Expected results:
Command is not supported hence should be removed in headpin mode

Additional info:
Comment 2 Adam Price 2012-12-13 14:41:40 EST
e66fd3540223735b29c1e4d9d942a6122f155065
Comment 5 Jordan OMara 2012-12-18 10:03:34 EST
*** Bug 888291 has been marked as a duplicate of this bug. ***
Comment 6 Jordan OMara 2012-12-18 10:04:08 EST
*** Bug 888155 has been marked as a duplicate of this bug. ***
Comment 7 Jordan OMara 2012-12-18 13:15:33 EST
*** Bug 888159 has been marked as a duplicate of this bug. ***
Comment 8 Tazim Kolhar 2012-12-24 00:36:06 EST
VERIFIED :

# rpm -qa | grep katello
katello-glue-candlepin-1.2.1-10h.el6_3.noarch
katello-cli-common-1.2.1-11h.el6_3.noarch
katello-headpin-1.2.1-10h.el6_3.noarch
katello-candlepin-cert-key-pair-1.0-1.noarch
katello-certs-tools-1.2.1-1h.el6_3.noarch
katello-cli-1.2.1-11h.el6_3.noarch
katello-configure-1.2.3-1h.el6_3.noarch
katello-common-1.2.1-10h.el6_3.noarch
katello-headpin-all-1.2.1-10h.el6_3.noarch
katello-selinux-1.2.1-1h.el6_3.noarch


# headpin -u admin -p admin --help
Usage:  headpin <options> <command>
Supported Commands:
	activation_key activation key specific actions in the katello server
	client         client specific actions in the katello server
	environment    environment specific actions in the katello server
	org            organization specific actions in the katello server
	permission     permission specific actions in the katello server
	ping           get the status of the katello server
	product        product specific actions in the katello server
	provider       provider specific actions in the katello server
	shell          run the cli as a shell
	system         system specific actions in the katello server
	user           user specific actions in the katello server
	user_role      user role specific actions in the katello server
	version        get the version of the katello server
Comment 10 errata-xmlrpc 2013-02-21 14:20:54 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2013-0544.html

Note You need to log in before you can comment on or make changes to this bug.